For the complete documentation index, see llms.txt. This page is also available as Markdown.

Camera

Get camera information

get
/v1/camera/info

Returns camera information.

Required scopes
This endpoint requires the following scopes:
  • : Grants access to retrieve system data and information.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
200

Camera information

application/json

Camera information

modelstringOptional

Camera model. Allows to identify the camera type. Possible values:

  • Camera 1st Generation. It has one color and one thermal module.
  • Camera 2nd Generation. It has two color and one thermal module. One color video stream has 32x zoom capabilities. Thermal module has resolution of 320x240.
  • Camera 2nd Generation IR Plus. It has two color and one thermal module. Thermal module is upgraded to a resolution of 640x512.
pan_speed_minnumberOptional

Minimum absolute pan speed of the camera (degrees/sec)

pan_speed_maxnumberOptional

Maximum absolute pan speed of the camera (degrees/sec)

tilt_speed_minnumberOptional

Minimum absolute tilt speed of the camera (degrees/sec)

tilt_speed_maxnumberOptional

Maximum absolute tilt speed of the camera (degrees/sec)

tilt_minnumber · min: -90Optional

Minimum tilt angle of the camera relative to the kite (degrees)

tilt_maxnumber · max: 90Optional

Maximum tilt angle of the camera relative to the kite (degrees)

roll_minnumber · min: -180Optional

Minimum roll angle of the camera relative to the kite (degrees)

roll_maxnumber · max: 180Optional

Maximum roll angle of the camera relative to the kite (degrees)

get/v1/camera/info
GET /api/v1/camera/info HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "model": "SigCam2",
  "pan_speed_min": 2,
  "pan_speed_max": 25,
  "tilt_speed_min": 2,
  "tilt_speed_max": 25,
  "tilt_min": -11,
  "tilt_max": 80,
  "roll_min": 0,
  "roll_max": 0
}

Get camera state

get
/v1/camera/state

Returns camera frequently changing information.

Required scopes
This endpoint requires the following scopes:
  • : Grants access to retrieve system data and information.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
200

Camera information

application/json

Camera state

online_statestring · enumRequired

If Online then the camera is powered on and can be used. This also means that the data about camera is up-to-date. If Offline then the camera is powered off or not connected to the system. In this case the data about the last online camera is provided. And this information may be inaccurate due to payload swap.

Example: OnlinePossible values:
pan_nednumber · min: -180 · max: 180Optional

Camera pan angle in degrees in NED coordinates.

  • 0 - The camera is looking North.
  • +90 - The camera is looking East.
  • +180 - The camera is looking South.
  • -90 - The camera is looking West.
Example: 10
tilt_nednumber · min: -180 · max: 180Optional

Camera tilt angle in degrees in NED coordinates.

  • 0 - The camera is level, looking straight ahead.
  • -90 - The camera is looking straight up.
  • +90 - The camera is looking straight down towards gravity vector.
Example: 32
roll_nednumber · min: -180 · max: 180Optional

Camera roll angle in degrees in NED coordinates.

  • 0 - The camera is level, with the top facing upward.
  • +90 - The top of the camera is rotated to the right.
  • +180 - The top of the camera is facing downward (the same direction as gravity vector).
  • -90 - The top of the camera is rotated to the left.
Example: 0
get/v1/camera/state
GET /api/v1/camera/state HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "online_state": "Online",
  "pan_ned": 10,
  "tilt_ned": 32,
  "roll_ned": 0
}

Rotate by angle

post
/v1/camera/control/rotate_by_angle

Rotates the camera by a given angle. Optionally sets the tilt (applies only to the gimbal). For Fotokite Sigma, rotation is achieved through a combination of camera gimbal and kite movement.

Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Body

Pan Kite and tilt camera by angle command arguments. If a property is missed then the Kite or camera will not be rotated in this direction.

pannumber · min: -180 · max: 180Optional

Change camera pan by this angle in degrees. Positive value means that the camera is rotated to the right.

Example: 10
tiltnumber · min: -180 · max: 180Optional

Change camera tilt by this angle in degrees. Positive value means that the camera is rotated down.

Example: 14
Responses
202

The command was sent successfully

No content

post/v1/camera/control/rotate_by_angle
POST /api/v1/camera/control/rotate_by_angle HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "pan": 10,
  "tilt": 14
}

No content

Rotate to angle

post
/v1/camera/control/rotate_to_angle

Rotates the camera to a given angle. Optionally sets the tilt (applies only to the gimbal). For Fotokite Sigma, rotation is achieved through a combination of camera gimbal and kite movement.

Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Body

Pan Kite and tilt camera to angle command arguments. If a property is missed then the Kite or camera will not be rotated in this direction.

pan_nednumber · max: 360Optional

Rotate the camera to the pan specified (in NED coordinates) [0..+360) (degrees). 0 - North, 90 - East, 180 - South, 270 - West.

Example: 90
tilt_nednumber · min: -180 · max: 180Optional

Tilt (in NED coordinates) to rotate to in degrees.

  • 0 - means that the camera is looking straight forward.
  • -90 - means that the camera is looking straight up.
  • +90 - means that the camera is looking straight down.
  • +180 - means that the camera is looking backward and upside down.
Example: 10
Responses
202

The command was sent successfully

No content

post/v1/camera/control/rotate_to_angle
POST /api/v1/camera/control/rotate_to_angle HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "pan_ned": 90,
  "tilt_ned": 10
}

No content

Rotate with speed

post
/v1/camera/control/rotate_with_speed

Rotates the camera at a given speed over a duration. To stop rotation immediately, set speed to 0. The Fotokite Sigma is not designed for constant unidirectional rotation, as this may twist and damage the tether cable. We recommend counteracting rotations (e.g., perform 10 rotations in one direction, then 10 in the opposite).

Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Body

Rotate camera with speed command data

pan_speednumberOptional

Change the camera pan with the angle speed specified. Positive value - rotate clockwise (degrees/sec). Negative value - rotate counter-clockwise (degrees/sec). 0 - stop any previously commanded pan movement. If parameter missed then pan speed is considered to be 0 (no pan). Minimum absolute speed is camera_pan_speed_min (degrees/sec). Maximum absolute speed is camera_pan_speed_max (degrees/sec).

Example: 11
tilt_speednumberOptional

Change the camera tilt with the angle speed specified. Positive value - rotate down (degrees/sec). Negative value - rotate up (degrees/sec). 0 - stop any previously commanded tilt movement. If parameter missed then tilt speed is considered to be 0 (no tilt). Minimum absolute speed is camera_tilt_speed_min (degrees/sec). Maximum absolute speed is camera_tilt_speed_max (degrees/sec).

Example: 20
durationnumber · min: 0.1 · max: 10Required

Duration of the command in seconds. The camera will rotate with the speed specified for the time specified.

Example: 5
Responses
202

The command was sent successfully

No content

post/v1/camera/control/rotate_with_speed
POST /api/v1/camera/control/rotate_with_speed HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "pan_speed": 11,
  "tilt_speed": 20,
  "duration": 5
}

No content

Last updated